Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037683
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-01-19 10:372018-02-22 18:18
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision2b3b941e79b9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037683: Axis services page is always available

DescriptionOpenbravo exposes Axis services page even if there are no service registered.
Steps To ReproduceOpen https://livebuilds.openbravo.com/retail_pi_pgsql/services [^]
 -See it is accessible
Proposed Solution* Disable these services by default, as in most of the cases, Openbravo does not deploy any of them.
* Make it possible to configure instance to serve them [1].

--
[1] http://wiki.openbravo.com/wiki/Development_Build_Tasks#SOAP_Webservice_Server_Tasks [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0034653 closedalostale non existing url request displays axis services 
depends on defect 0037750 closedalostale API change: SOAP webservices is now disabled by default 
depends on backport 00378153.0PR18Q1 closedalostale Axis services page is always available 
depends on backport 00378163.0PR17Q4.1 closedalostale Axis services page is always available 
related to design defect 0039487 closedalostale can't serve SOAP webservices compiled with JDK10+ 
related to design defect 0040536 closedalostale Remove support for axis 

-  Notes
(0102015)
hgbot (developer)
2018-01-29 12:11

Repository: erp/devel/pi
Changeset: 2b3b941e79b964b545f328fabef644ab1b7b05d8
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jan 24 15:46:06 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2b3b941e79b964b545f328fabef644ab1b7b05d8 [^]

fixed issue 37683: Axis services page is always available

  - SOAP ws are disabled by default
  - removed org.apache.axis.transport.http.AdminServlet entry in web.xml which
    didn't have mapping anyway

---
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
---
(0102124)
caristu (developer)
2018-02-01 19:12

Verified
(0102694)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-01-19 10:37 alostale New Issue
2018-01-19 10:37 alostale Assigned To => platform
2018-01-19 10:37 alostale Modules => Core
2018-01-19 10:37 alostale Triggers an Emergency Pack => No
2018-01-19 12:14 alostale Summary Axis services pages is always available => Axis services page is always available
2018-01-29 12:05 alostale Relationship added depends on 0037750
2018-01-29 12:11 hgbot Checkin
2018-01-29 12:11 hgbot Note Added: 0102015
2018-01-29 12:12 hgbot Status new => resolved
2018-01-29 12:12 hgbot Resolution open => fixed
2018-01-29 12:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2b3b941e79b964b545f328fabef644ab1b7b05d8 [^]
2018-01-29 12:16 alostale Proposed Solution updated
2018-01-29 12:17 alostale Review Assigned To => caristu
2018-01-29 12:17 alostale Assigned To platform => alostale
2018-02-01 19:12 caristu Note Added: 0102124
2018-02-01 19:12 caristu Status resolved => closed
2018-02-01 19:12 caristu Fixed in Version => 3.0PR18Q2
2018-02-01 19:29 caristu Relationship added related to 0034653
2018-02-02 07:38 alostale Status closed => new
2018-02-02 07:38 alostale Resolution fixed => open
2018-02-02 07:38 alostale Fixed in Version 3.0PR18Q2 =>
2018-02-02 07:38 alostale Status new => scheduled
2018-02-02 07:38 alostale Status scheduled => resolved
2018-02-02 07:38 alostale Fixed in Version => 3.0PR18Q2
2018-02-02 07:38 alostale Resolution open => fixed
2018-02-02 07:38 alostale Status resolved => closed
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102694
2018-10-19 08:13 alostale Relationship added related to 0039487
2019-04-05 11:00 caristu Relationship added related to 0040536


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker